//
//  AppDelegate.m
//  epuck2-ble-monitor
//
//  Created by Stefano Morgani on 01.05.19.
//  Copyright (c) 2019 GCtronic. All rights reserved.
//

#import "AppDelegate.h"
#import <UIKit/UIKit.h>
//#import "FirstViewController.h"
#import "BleManager.h"

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    // Override point for customization after application launch.
    
//    NSArray *centralManagerIdentifiers = launchOptions[UIApplicationLaunchOptionsBluetoothCentralsKey];
//    FirstViewController *firstViewController = (FirstViewController *) [((UITabBarController *)self.window.rootViewController).viewControllers objectAtIndex:0];
//
//    dispatch_queue_t centralQueue = dispatch_queue_create("com.gctronic.epuck2", DISPATCH_QUEUE_SERIAL);
//
//    if(centralManagerIdentifiers.count > 0) {
//        NSLog(@"centralManagerIdentifiers count = %lu", (unsigned long)centralManagerIdentifiers.count);
//        NSLog(@"centralManager key = %@", @{CBCentralManagerOptionRestoreIdentifierKey:centralManagerIdentifiers[0]});
//        CBCentralManager *restoredManager = [[CBCentralManager alloc] initWithDelegate:firstViewController queue:centralQueue options:@{CBCentralManagerOptionRestoreIdentifierKey:centralManagerIdentifiers[0]}];
//        //CBCentralManager *restoredManager = [[CBCentralManager alloc] initWithDelegate:firstViewController queue:nil options:@{CBCentralManagerOptionRestoreIdentifierKey:centralManagerIdentifiers[0]}];
//        firstViewController.BTManager = restoredManager;
//    } else {
//        NSLog(@"empty centralManagerIdentifiers");
//    }
    
    [[BleManager sharedInstance] bleIsOff]; // Call this function to turn on BLE and be able to get scanning results at first call.
    
    return YES;
}
							
- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
