//
//  FirstViewController.h
//  epuck2-ble-monitor
//
//  Created by Stefano Morgani on 01.05.19.
//  Copyright (c) 2019 GCtronic. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "RawSensorsViewController.h"
#import "BleManager.h"
#import "Robot.h"

@interface FirstViewController : UIViewController <UITableViewDelegate, UITableViewDataSource> {
    
    RawSensorsViewController *rawSensorViewController;

    NSString* bleDevRssiString;
    
    NSTimer *rssiTimer;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section;
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath;
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath;

@property (weak, nonatomic) IBOutlet UIButton *btnConnect;
@property (weak, nonatomic) IBOutlet UITableView *scanResult;

@end
